#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 z-tasty-sugar-z-tasty-sugar-internal
version:              1.1.1.0
package-name:         tasty-sugar
lib-name:             tasty-sugar-internal
id:
    tasty-sugar-1.1.1.0-KNVJSsUKXA27SSadGqW3xn-tasty-sugar-internal

key:
    tasty-sugar-1.1.1.0-KNVJSsUKXA27SSadGqW3xn-tasty-sugar-internal

license:              ISC
copyright:            Kevin Quick, 2019-2021
maintainer:           kquick@galois.com
author:               Kevin Quick
homepage:             https://github.com/kquick/tasty-sugar
synopsis:             Tests defined by Search Using Golden Answer References
description:

    A tasty testing framework that builds individual test configurations
    from a set of input files and expected results (golden) files along
    with associated files, where multiple expected results and
    associated files for each input file can be parameterized by
    filename.

    Additionally a tasty ingredient is supplied that can be used to show
    the search process and resulting test configurations without
    actually running the tests.

category:             Testing
abi:                  72b2baed9d21f71c0e13932f373d74da
exposed-modules:
    Test.Tasty.Sugar.Analysis Test.Tasty.Sugar.AssocCheck
    Test.Tasty.Sugar.ExpectCheck Test.Tasty.Sugar.ParamCheck
    Test.Tasty.Sugar.Report Test.Tasty.Sugar.RootCheck
    Test.Tasty.Sugar.Types

import-dirs:          /usr/lib/ghc-9.0.2/site-local/tasty-sugar-1.1.1.0
library-dirs:         /usr/lib/ghc-9.0.2/site-local/tasty-sugar-1.1.1.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-tasty-sugar
hs-libraries:
    HStasty-sugar-1.1.1.0-KNVJSsUKXA27SSadGqW3xn-tasty-sugar-internal

depends:
    base-4.15.1.0 filemanip-0.3.6.3-7EPjOtf3dRQ4e3319xFkxR
    filepath-1.4.2.1 kvitable-1.0.0.0-9ye2yxC5k5f1vkDAsIdfsO
    logict-0.7.1.0-LI6Pv3UGJS6EXWula0ljkB
    microlens-0.4.12.0-1fJvmROd5lxEQCLdQ6LGgk
    prettyprinter-1.7.1-FEHD4tgWtERBle1RDs7o0i text-1.2.5.0

haddock-interfaces:   /usr/share/doc/haskell-tasty-sugar/html/tasty-sugar.haddock
haddock-html:         /usr/share/doc/haskell-tasty-sugar/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 tasty-sugar
version:              1.1.1.0
visibility:           public
id:                   tasty-sugar-1.1.1.0-9Cs35yx7HpC1J5nlWYXwYF
key:                  tasty-sugar-1.1.1.0-9Cs35yx7HpC1J5nlWYXwYF
license:              ISC
copyright:            Kevin Quick, 2019-2021
maintainer:           kquick@galois.com
author:               Kevin Quick
homepage:             https://github.com/kquick/tasty-sugar
synopsis:             Tests defined by Search Using Golden Answer References
description:

    A tasty testing framework that builds individual test configurations
    from a set of input files and expected results (golden) files along
    with associated files, where multiple expected results and
    associated files for each input file can be parameterized by
    filename.

    Additionally a tasty ingredient is supplied that can be used to show
    the search process and resulting test configurations without
    actually running the tests.

category:             Testing
abi:                  00cf354c6eeffde4ea0667056ecd8e87
exposed:              True
exposed-modules:      Test.Tasty.Sugar
import-dirs:          /usr/lib/ghc-9.0.2/site-local/tasty-sugar-1.1.1.0
library-dirs:         /usr/lib/ghc-9.0.2/site-local/tasty-sugar-1.1.1.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-tasty-sugar
hs-libraries:         HStasty-sugar-1.1.1.0-9Cs35yx7HpC1J5nlWYXwYF
depends:
    base-4.15.1.0 directory-1.3.6.2
    filemanip-0.3.6.3-7EPjOtf3dRQ4e3319xFkxR filepath-1.4.2.1
    logict-0.7.1.0-LI6Pv3UGJS6EXWula0ljkB
    optparse-applicative-0.16.1.0-GbRHGselplACSxGXIcNuBS
    prettyprinter-1.7.1-FEHD4tgWtERBle1RDs7o0i
    tagged-0.8.6.1-79gYUUazit6EfoPS33FHdR
    tasty-1.4.2.1-5PKPFFz2ooQLwpGV0EE5ct
    tasty-sugar-1.1.1.0-KNVJSsUKXA27SSadGqW3xn-tasty-sugar-internal
    text-1.2.5.0

haddock-interfaces:   /usr/share/doc/haskell-tasty-sugar/html/tasty-sugar.haddock
haddock-html:         /usr/share/doc/haskell-tasty-sugar/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

